My Oracle Support Banner

OPSS - OIM Schema Upgrade failed [INCIDENT_ERROR]. Error in Schema Upgrade. Stripe to OIM Stripe fails. Can not connect DB with URL [] (Doc ID 2847820.1)

Last updated on FEBRUARY 09, 2022

Applies to:

Oracle Platform Security for Java - Version 12.2.1.3.0 and later
Information in this document applies to any platform.

Symptoms

OIM Upgrade from 11.1.2.3 to 12.2.1.4 . OIM schema upgrade failed with the below error:

 

[2021-12-22T14:49:45.706-06:00] [OIM] [NOTIFICATION] [] [upgrade.OIM.OIM1][tid: <TID>] [ecid: <ECID>] The logs are written to file
:<ORACLE_HOME>/oracle_common/upgrade/temp/migrateOracleIdentityManagerStripeToOIMStripe_<NUMBER>.log
[2021-12-22T14:49:45.707-06:00] [OIM] [NOTIFICATION] [] [upgrade.OIM.OIM1]
[tid: <TID>] [ecid: <ECID>] [[
Error while executing the wlst script
<ORACLE_HOME>/idm/server/upgrade/migrateOracleIdentityManagerStripeToOIMStripe.py]]
[2021-12-22T14:49:45.707-06:00] [OIM] [ERROR] [] [upgrade.OIM.OIM1] [tid:<TID>] [ecid: <ECID>] Error while executing the wlst script
<ORACLE_HOME>/idm/server/upgrade/migrateOracleIdentityManagerStripeToOIMStripe.py
[2021-12-22T14:49:45.708-06:00] [OIM] [NOTIFICATION] [] [upgrade.OIM.OIM1][tid: <TID>] [ecid: <ECID>] Python
script for migrating OPSS application policies from OracleIdentityManager
Stripe to OIM Stripe fails
[2021-12-22T14:49:45.708-06:00] [OIM] [INCIDENT_ERROR] [] [upgrade.OIM.OIM1]
[tid: <TID>] [ecid: <ECID>] OIM Schema
Upgrade failed
[2021-12-22T14:49:45.708-06:00] [OIM] [INCIDENT_ERROR] [] [upgrade.OIM.OIM1]
[tid: <TID>] [ecid: <ECID>] [[
oracle.iam.oimupgrade.exceptions.OIMUpgradeException: Error in Schema Upgrade
at
oracle.iam.oimupgrade.onehop.SchemaUpgradeManager.upgrade(SchemaUpgradeManager.java:330)
at
oracle.iam.oimupgrade.mrua.OIM12CPS4UA.upgrade(OIM12CPS4UA.java:201)
at oracle.ias.update.plugin.Plugin.upgrade(Plugin.java:730)
at oracle.ias.update.plan.PlanStep.upgrade(PlanStep.java:736)
at
oracle.ias.update.PhaseProcessor$UpgradeProcessor.runStepPhase(PhaseProcessor.java:775)
at oracle.ias.update.PhaseProcessor.runStep(PhaseProcessor.java:382)
at
oracle.ias.update.PhaseProcessor$ExtendedRunnable.run(PhaseProcessor.java:1178)
at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
at java.lang.Thread.run(Thread.java:748)
Caused by: oracle.iam.oimupgrade.exceptions.OIMUpgradeException: Python
script for migrating OPSS application policies from OracleIdentityManager
Stripe to OIM Stripe fails
at
oracle.iam.oimupgrade.onehop.SchemaUpgradeManager.migrateOracleIdentityManager
StripeToOIMStripe(SchemaUpgradeManager.java:378)
at
oracle.iam.oimupgrade.onehop.SchemaUpgradeManager.upgrade(SchemaUpgradeManager
.java:296)
... 9 more
..
..
..
oracle.security.jps.JpsRuntimeException:
oracle.security.jps.JpsRuntimeException:
oracle.security.jps.service.policystore.PolicyStoreException: Can not connect
DB with URL []

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.